%global __requires_exclude perl\\(Rpmdrake::widgets\\)

Name: rpmdrake
Version: 6.20.1
Release: %mkrel 1
License: GPL
Source0: http://gitweb.mageia.org/software/rpmdrake/snapshot/%{name}-%{version}.tar.xz
Summary: %_vendor graphical front end for software installation/removal
Requires: perl-MDK-Common >= 1.1.18-2
Requires: urpmi >= 7.30
Requires: perl-URPM >= 3.07-2
Requires: drakxtools >= 16.2
Requires: perl-Gtk3
Requires: perl-Locale-gettext >= 1.05-6
Requires: gurpmi >= 7.30
# lazy load modules:
Requires: typelib(GtkSource) = 3.0
Requires: perl-File-MimeInfo
# for translations:
Recommends: mdv-rpm-summary
Requires: polkit
# for icons:
Requires: desktop-common-data
BuildRequires: gettext
BuildRequires: perl-devel
BuildRequires: intltool
BuildRequires: perl_checker
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildArch: noarch
Group: System/Packaging
URL: http://www.mageia.org/

%description
This package contains the %_vendor graphical software manipulation
tools.

Rpmdrake provides a simple interface that makes it easy to install
and remove software.

%{_vendor}Update is a single-purpose application for keeping your system
up to date with the latest official updates.

There is also a tool for configuring package sources (medias), which can
be run independently or accessed from within rpmdrake.

%prep
%autosetup -p1

%build
make OPTIMIZE="$RPM_OPT_FLAGS -Wall" PREFIX=%{_prefix} INSTALLDIRS=vendor

%install
%make_install PREFIX=%{buildroot}%{_prefix}

%find_lang rpmdrake

mkdir -p %{buildroot}{%{_miconsdir},%{_liconsdir},%{_iconsdir}/hicolor,%{_iconsdir}/hicolor/{16x16,32x32,48x48},%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps}
for i in rpmdrake mageiaupdate edit-urpm-sources; do
  cp pixmaps/${i}16.png %{buildroot}%{_miconsdir}/${i}.png
  cp pixmaps/${i}32.png %{buildroot}%{_iconsdir}/${i}.png
  cp pixmaps/${i}48.png %{buildroot}%{_liconsdir}/${i}.png
  cp pixmaps/${i}16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/${i}.png
  cp pixmaps/${i}32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/${i}.png
  cp pixmaps/${i}48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/${i}.png
done

%files -f rpmdrake.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/drakrpm
%{_bindir}/drakrpm-update
%{_bindir}/drakrpm-editmedia
%{_bindir}/drakrpm-addmedia
%{_bindir}/MageiaUpdate
%{_bindir}/edit-urpm-sources.pl
%{_bindir}/drakrpm-edit-media
%{_bindir}/gurpmi.addmedia
%{_bindir}/rpmdrake
%{_libexecdir}/drakrpm
%{_libexecdir}/drakrpm-update
%{_libexecdir}/drakrpm-editmedia
%{_libexecdir}/drakrpm-addmedia
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/%{name}
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Rpmdrake
%{_datadir}/mimelnk/application/x-urpmi-media.desktop
%{_datadir}/mime/packages/urpmi-media.xml
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/16x16/apps/*.png
%{_iconsdir}/hicolor/32x32/apps/*.png
%{_iconsdir}/hicolor/48x48/apps/*.png


%changelog
* Sat Mar 11 2017 akien <akien> 6.20.1-1.mga5
+ Revision: 1091822
- Version 6.20.1 (mga#16187)

* Tue Jun 02 2015 tv <tv> 6.20-1.mga5
+ Revision: 822860
- edit-urpm-sources:
  o fix list jumping when tickling an item (mga#12180)

* Mon May 18 2015 tv <tv> 6.19-1.mga5
+ Revision: 822301
- update GUI package list
- update translations

* Sun May 03 2015 tv <tv> 6.18-1.mga5
+ Revision: 821172
- fix restarting on priority updates (mga#14266)

* Sun Mar 22 2015 akien <akien> 6.17-1.mga5
+ Revision: 819099
- 6.17:
 - filter out critical config files from the .rpm{new,save} handling
   logic after installing packages (Martin Whitaker, mga#14266)

* Wed Mar 18 2015 tv <tv> 6.16-1.mga5
+ Revision: 818774
- rpmdrake:
  o install perl-Glib-Object-Introspection as priority upgrades prior to restart

* Sat Feb 14 2015 akien <akien> 6.15-1.mga5
+ Revision: 814962
- Version 6.15: MageiaUpdate: add all mirrors instead of only updates mirrors when no updates mirrors are defined (mga#12472)

* Mon Feb 09 2015 ennael <ennael> 6.14-1.mga5
+ Revision: 814282
- update translations
- GUI package list:
  o add calligra & libreoffice to GUI package list (mga#13200)
  o update it

* Fri Jan 02 2015 tv <tv> 6.13-1.mga5
+ Revision: 808073
- adapt to URPM-5.00
- update GUI package list

* Wed Oct 15 2014 umeabot <umeabot> 6.12-3.mga5
+ Revision: 743757
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.12-2.mga5
+ Revision: 688709
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sun Sep 07 2014 tv <tv> 6.12-1.mga5
+ Revision: 673100
- rpmdrake
  o fix a rare crash (mga#12113)
  o do not treat Backport Testing as backport media (mga#13606)

* Fri Jun 27 2014 tv <tv> 6.11-1.mga5
+ Revision: 640407
- rpmdrake:
  o keep only latest package per medium, not globally (mga#12766)
- edit-urpm-sources:
  o fix crashing when canceling browsing custom media path (mga#13268)
  o fix down arrow button not working (mga#13572)

* Thu Jan 23 2014 colin <colin> 6.10-1.mga4
+ Revision: 567519
- Avoid double fork problems mga#11184 mga#12364

* Thu Jan 16 2014 tv <tv> 6.9-1.mga4
+ Revision: 566654
- MageiaUpdate:
  o fix slow refresh of pkgs list (mga#12300)

* Mon Jan 13 2014 tv <tv> 6.8-1.mga4
+ Revision: 566509
- rpmdrake:
  o fix a crash when trying to debug an old issue (mga#8967)
- update GUI package list

* Mon Jan 06 2014 tv <tv> 6.7-1.mga4
+ Revision: 565055
- --merge-all-rpmnew mode:
  o fix a crash (spot by Colin Guthrie)

* Sat Dec 28 2013 tv <tv> 6.6-1.mga4
+ Revision: 562930
- fix slow update of pkgs list (mga#12000)
- --merge-all-rpmnew mode:
  o fix a warning

* Sat Dec 21 2013 tv <tv> 6.5-1.mga4
+ Revision: 559376
- fix displaying that the db is locked instead of an error message
- typo fix (mga#11985)

* Fri Dec 13 2013 tv <tv> 6.4-2.mga4
+ Revision: 556588
- versionnate typelib(GtkSource) require (mga#11978)

* Fri Dec 13 2013 tv <tv> 6.4-1.mga4
+ Revision: 556577
- edit-urpm-sources:
  o fix edit button being unsensitive (mga#11961)
  o fix crashing when selecting last medium

* Fri Dec 06 2013 tv <tv> 6.3-1.mga4
+ Revision: 555704
- fix searching returning no results (mga#11898)

* Fri Dec 06 2013 tv <tv> 6.2-1.mga4
+ Revision: 555544
- edit-urpm-sources:
  o fix crashing when deleting media (mga#11895)

* Thu Dec 05 2013 tv <tv> 6.1-2.mga4
+ Revision: 555372
- requires "typelib(GtkSource)" instead of perl-Gtk2-SourceView2
- actually minimum drakxtools version for rpmdrake is 16.2

* Thu Dec 05 2013 tv <tv> 6.1-1.mga4
+ Revision: 555358
- use introspection for Source too

* Thu Dec 05 2013 tv <tv> 6.0-2.mga4
+ Revision: 555344
- bump requires

* Thu Dec 05 2013 tv <tv> 6.0-1.mga4
+ Revision: 555326
- convert from gtk2 to gtk3 (needs urpmi >= 7.30)

* Tue Nov 12 2013 colin <colin> 5.54-1.mga4
+ Revision: 550703
- 5.54: Use "$@" in polkit wrapper scripts (mga#11607)

* Mon Nov 11 2013 colin <colin> 5.53-1.mga4
+ Revision: 550548
- 5.53: Fix escaping of $* in polkit wrappers

* Mon Nov 11 2013 tmb <tmb> 5.52.2-1.mga4
+ Revision: 550440
- use 5096UID instead of 5096(id -u)

* Sat Nov 09 2013 tmb <tmb> 5.52.1-1.mga4
+ Revision: 550389
- fix typo in last polkit Makefile change

* Sat Nov 09 2013 tmb <tmb> 5.52-1.mga4
+ Revision: 550119
- use /usr/libexec/drakrpm-addmedia directly under stage2 (colin, #11319)

* Tue Oct 22 2013 umeabot <umeabot> 5.51-2.mga4
+ Revision: 541569
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 5.51-1.mga4
+ Revision: 496207
- New version: 5.51

* Sun Sep 29 2013 tv <tv> 5.50-2.mga4
+ Revision: 488716
- rebuild with fixed rpm (missing suggests tags)

* Tue Sep 03 2013 colin <colin> 5.50-1.mga4
+ Revision: 474689
- New version: 5.50
- o use polkit for authorisation (mga#11125)

* Wed May 08 2013 tmb <tmb> 5.49-1.mga3
+ Revision: 412728
- --merge-all-rpmnew mode:
  o ignore /etc/crypttab (mga#10028)

* Mon Apr 22 2013 tv <tv> 5.48-1.mga3
+ Revision: 410974
- --merge-all-rpmnew mode:
  o consider all config files, not only those in /etc
  o ignore /etc/{passwd,group,(g)shadow,hosts,resolv.conf} (too dangerous)
  o make it slighly faster: do not perform useless I/O

* Sun Apr 21 2013 tv <tv> 5.47-1.mga3
+ Revision: 410662
- fix install dialog title (mga#9550)
- fix install dialog being on top of sub dialogs (mga#9646)

* Tue Mar 26 2013 tv <tv> 5.46-2.mga3
+ Revision: 405379
- patch 0: missing bit

* Tue Mar 26 2013 tv <tv> 5.46-1.mga3
+ Revision: 405359
- fix retrieving XML information (mga#9529)

* Sun Mar 24 2013 tv <tv> 5.45-1.mga3
+ Revision: 404814
- merge patch for mga#4918
- better dialog destruction
- signature verification:
  o do not update progress bar
  o use gurpm for informing (mga#9520)
- update GUI package list

* Fri Mar 22 2013 tv <tv> 5.44-1.mga3
+ Revision: 404411
- bump requires
- adapt to gurpmi enabling to cancel again downloads
- death to obsolete curl_download module
- fix erase progress in global bar

* Thu Mar 21 2013 tv <tv> 5.43-1.mga3
+ Revision: 404313
- fix download progress with global progress bar (mga#9469)
- use global progress bar for download too

* Wed Mar 20 2013 tv <tv> 5.42-2.mga3
+ Revision: 404174
- patch 1: temporary disable cancel when downloading

* Tue Mar 19 2013 tv <tv> 5.42-1.mga3
+ Revision: 404095
- do not offer to pick only update media unless using --expert (mga#2317)
- use a global progress bar when installing (mga#778)
- workaround a crash (mga#9197)

* Sat Feb 16 2013 fwang <fwang> 5.40.2-1.mga3
+ Revision: 398709
- 5.40.2: adapt to new group hierarchy
- update rpm group

* Wed Jan 16 2013 tmb <tmb> 5.40.1-1.mga3
+ Revision: 388857
- update translations

* Mon Jan 14 2013 umeabot <umeabot> 5.40-2.mga3
+ Revision: 380461
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 tv <tv> 5.40-1.mga3
+ Revision: 327179
- add a fix for a rare crash (mga#7439)
- cleanups
- look at _all_ config files and only those instead of manually
  matching file paths beginning with "^/etc" (mga#8310)
- update GUI package list

* Sun Oct 28 2012 fwang <fwang> 5.39-1.mga3
+ Revision: 311054
- 5.39: adapt to new group hierarchy

  + tv <tv>
    - rip %%clean && BuildRoot

* Thu Oct 04 2012 tv <tv> 5.38-1.mga3
+ Revision: 302745
- minor cleanups
- rpmdrake:
  o update GUI package list
- use new URPM API

* Thu Sep 20 2012 tv <tv> 5.37-1.mga3
+ Revision: 296447
- drop very old provides/obsolete flags
- fix deselecting updates when clicking on "New dependancies"
- fix changelog highlighting
- rpmdrake:
  o make failing to open RPM DB non fatal when reseting selection (mga#7352)

* Fri Aug 31 2012 tv <tv> 5.36-1.mga3
+ Revision: 286737
- adapt to urpmi-7.5

* Fri Aug 24 2012 tv <tv> 5.35-1.mga3
+ Revision: 283751
- display package basenames when signature checking fails
- fix changelog highlighting
- makes --merge-all-rpmnew option slight faster

* Sun May 13 2012 pterjan <pterjan> 5.34-1.mga2
+ Revision: 235646
- Update GUI applications list

* Wed Mar 28 2012 tv <tv> 5.33-1.mga2
+ Revision: 227397
- display a graphical error message when debug environment does not exist
- rpmdrake:
  o show all arches for a given package (mga#5047)
    (regression introduced with only "display latest updates" in 5.31)

* Mon Mar 26 2012 tv <tv> 5.32-1.mga2
+ Revision: 226927
- rpmdrake:
  o display backported packages with a different icon
  o fix offering of updates from media not configured as update ones
  o install perl-{Glib,Gtk2} as priority upgrades prior to restart

* Tue Mar 20 2012 tv <tv> 5.31-1.mga2
+ Revision: 225110
- fix a rare crash when some packages are installed twice (mga#4972)
- rpmdrake:
  o only display latest updates, not all of them (mga#2258, mga#4534)

* Thu Mar 15 2012 tv <tv> 5.30-2.mga2
+ Revision: 223444
- patch 0: temporary disable updating GUI every second due to segfault (mga#4918)

* Fri Mar 02 2012 tv <tv> 5.30-1.mga2
+ Revision: 216799
- separate paragraphs when displaing READMEs (mga#4697)

* Fri Feb 17 2012 tv <tv> 5.29-1.mga2
+ Revision: 210122
- even better packages sorting in searches (x86_64 first)
- sort packages the same way when browsing groups

* Wed Feb 15 2012 tv <tv> 5.28-1.mga2
+ Revision: 209385
- fix french translation (mga#1523)
- limit progress bar refreshes to 3 per second max (mga#2775)
- show 32bit packages last in searches on 64bit (mga#1261)

* Sat Dec 10 2011 tv <tv> 5.27-1.mga2
+ Revision: 180102
- fix opening URLs in root's firefox in some cases by redefining HOME (mga#287)

* Fri Oct 14 2011 tv <tv> 5.26.11-1.mga2
+ Revision: 155268
- better message for orphans (#902)
  (needs urpmi > 6.40)
- fix broken translations (mga#1399)
- update GUI package list

* Thu May 26 2011 ennael <ennael> 5.26.10-1.mga1
+ Revision: 100531
- update translations

* Sat May 14 2011 ennael <ennael> 5.26.9-1.mga1
+ Revision: 98803
- update translations

* Thu Apr 28 2011 tv <tv> 5.26.8-1.mga1
+ Revision: 93333
- typo fixes (#945)
- unfuzzy translations after miss managed s/Mdv/Mageia/ (#455)
- rpmdrake
  o update GUI package list

* Sat Mar 05 2011 tv <tv> 5.26.7-1.mga1
+ Revision: 64663
- update GUI package list (#263)

* Sun Feb 20 2011 ahmad <ahmad> 5.26.6-1.mga1
+ Revision: 55042
- update to bugfix release 5.26.6
  o fix MageiaUpdate to not display the word "Mandriva" in updates descriptions
    should fix mga#113
  o rename more MandrivaUpdate files to MageiaUpdate

* Mon Feb 14 2011 dmorgan <dmorgan> 5.26.5-1.mga1
+ Revision: 51603
- imported package rpmdrake

